TESTING/EIG/dstect.f(3)

NAME
TESTING/EIG/dstect.f

SYNOPSIS

  Functions/Subroutines
subroutine dstect (n, a, b, shift, num)
DSTECT

Function/Subroutine Documentation

  subroutine dstect (integer n, double precision, dimension( * ) a, double precision, dimension( * ) b, double precision shift, integer num)

DSTECT

Purpose:

        DSTECT counts the number NUM of eigenvalues of a tridiagonal
        matrix T which are less than or equal to SHIFT. T has
        diagonal entries A(1), ... , A(N), and offdiagonal entries
        B(1), ..., B(N-1).
        See W. Kahan 'Accurate Eigenvalues of a Symmetric Tridiagonal
        Matrix', Report CS41, Computer Science Dept., Stanford
        University, July 21, 1966

Parameters
    N

              N is INTEGER
              The dimension of the tridiagonal matrix T.

    A

              A is DOUBLE PRECISION array, dimension (N)
              The diagonal entries of the tridiagonal matrix T.

    B

              B is DOUBLE PRECISION array, dimension (N-1)
              The offdiagonal entries of the tridiagonal matrix T.

    SHIFT

              SHIFT is DOUBLE PRECISION
              The shift, used as described under Purpose.

    NUM

              NUM is INTEGER
              The number of eigenvalues of T less than or equal
              to SHIFT.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 81 of file dstect.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.